ICU 74.1 74.1

Data Structures | Namespaces | Macros | Enumerations
rbnf.h File Reference

C++ API: Rule Based Number Format. More...

`#include "unicode/utypes.h"`
`#include "unicode/dcfmtsym.h"`
`#include "unicode/fmtable.h"`
`#include "unicode/locid.h"`
`#include "unicode/numfmt.h"`
`#include "unicode/unistr.h"`
`#include "unicode/strenum.h"`
`#include "unicode/brkiter.h"`
`#include "unicode/upluralrules.h"`

Go to the source code of this file.

## Data Structures
class | icu::RuleBasedNumberFormat
| The RuleBasedNumberFormat class formats numbers according to a set of rules. More...

## Namespaces
| icu
| File coll.h.

## Macros
#define | U_HAVE_RBNF 1
| This will be 0 if RBNF support is not included in ICU and 1 if it is. More...

## Enumerations
enum | icu::URBNFRuleSetTag { icu::URBNF_SPELLOUT , icu::URBNF_ORDINAL , icu::URBNF_DURATION , icu::URBNF_NUMBERING_SYSTEM = 3 , icu::URBNF_COUNT }
| Tags for the predefined rulesets. More...

## Detailed Description

C++ API: Rule Based Number Format.

Definition in file rbnf.h.

## Macro Definition Documentation

## ◆ U_HAVE_RBNF

#define U_HAVE_RBNF 1

This will be 0 if RBNF support is not included in ICU and 1 if it is.

Stable:
  ICU 2.4

Definition at line 32 of file rbnf.h.